Bug 72016 - initscripts-6.90-1: ifup wlan0 fails with prism2_cs.o
Summary: initscripts-6.90-1: ifup wlan0 fails with prism2_cs.o
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: noarch Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-20 18:58 UTC by Warren Stockton
Modified: 2014-03-17 02:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-20 18:59:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Warren Stockton 2002-08-20 18:58:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Insert pcmcia card
2.hear 1 beep when prism2_cs.o module is loaded
3.ifconfig would show properties for lo and wlan0
4.ps -ef would show /sbin/ifup was executing
5.After a few seconds,ifup would exit with:
Determining IP information for wlan0 failed; no link present.  Check cable?
6.At this point ifconfig would only show an entry for lo
	

Actual Results:  wireless network was not available

Expected Results:  wireless network should be functional

Additional info:

Originally was using a Linksys WPC11 ver 1.02 card w/ orinoco_cs.o and had no
problems.
Had to replace wireless card
New card is a Linksys WPC11 ver 3.0. and the only driver I have been able to
find that supports this card is the prism2_cs.o

Fixed problem by appying the following patch to
/etc/sysconfig/network-scripts/network-functions:
-------------------
--- network-functions.orig
+++ network-functions
@@ -138,6 +138,8 @@
        output=`LC_ALL=C /sbin/mii-tool $1 2>&1`
        if echo $output | grep -q "Operation not supported"; then
            return 1
+       elif echo $output | grep -q "Function not implemented"; then
+           return 1
        elif echo $output | grep -q "Invalid argument"; then
            return 1
        elif echo $output | grep -q "link ok"; then
-------------------

Comment 1 Bill Nottingham 2002-08-21 03:35:53 UTC
Fixed in 6.91-1 differently; it shouldn't even get to that point.


Note You need to log in before you can comment on or make changes to this bug.